Some problems when python2.x and python3.x exist at the same time

python2.x 与python3.x共存问题 — 汇总

先各自安装两种版本

/usr/bin/下会有python2.x 和python3.x及相关的软连接

ln -s /usr/bin/pythonV.x /usr/bin/pythonY.x 就能使用Y版本的python

如果yum出问题了,那么就将

vi .usr/bin/yum
vi /usr/libexec/urlgrabber-ext-down
vi /usr/bin/yum-config-manager

这三个文件的首行使用的脚本指定为python2.x即可

对于c / python 混合编程中出现的编译问题

缺少 Python.h 文件,应该安装python的开发包

yum install python-dev 或者 python-devel 或者 python3-devel 或者 python-devel.x86_64

https://www.cnblogs.com/linxue/p/10097785.html

选择性使用python版本:

alias python=”/usr/local/bin/python3.7″

安装pip

curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py

python get-pip.py

0

发表评论